<?php
//====================================================================================
// OCS INVENTORY REPORTS
// Copyleft Nicolas DEROUET 2011 (nicolas.derouet(at)gmail(pt)com)
// Web: http://www.ocsinventory-ng.org
//
// This code is open source and may be copied and modified as long as the source
// code is always made freely available.
// Please refer to the General Public Licence http://www.gnu.org/ or Licence.txt
//====================================================================================
 
	print_item_header("Security Center");
	if (!isset($protectedPost['SHOW']))
		$protectedPost['SHOW'] = 'NOSHOW';
	$form_name="securitycenter";
	$table_name=$form_name;
	echo "<form name='".$form_name."' id='".$form_name."' method='POST' action=''>";
	$list_fields=array('CATEGORY' => 'CATEGORY',
			   'COMPANY' => 'COMPANY',
			   'PRODUCT' => 'PRODUCT',
			   'VERSION' => 'VERSION',
			   'ENABLED' => 'ENABLED',
         'UPTODATE' => 'UPTODATE'
			   );
	if($show_all_column)
		$list_col_cant_del=$list_fields;
	else
		$list_col_cant_del=array('CATEGORY' => 'CATEGORY',
			   'COMPANY' => 'COMPANY',
			   'PRODUCT' => 'PRODUCT');
 
	$default_fields= $list_fields;
	$queryDetails  = "SELECT CATEGORY,COMPANY,PRODUCT,VERSION, 
CASE WHEN ENABLED = \"1\" THEN \"<img src='image/green.png' />\" ELSE \"<img src='image/red.png' />\" END AS ENABLED,
CASE WHEN UPTODATE = \"1\" THEN \"<img src='image/green.png' />\" ELSE \"<img src='image/red.png' />\" END AS UPTODATE
FROM securitycenter WHERE (hardware_id LIKE $systemid)";
 
	tab_req($table_name,$list_fields,$default_fields,$list_col_cant_del,$queryDetails,$form_name,80,$tab_options);
	echo "</form>";
?>